Bug 844136 - The parent directory of the second download is the first download directory
The parent directory of the second download is the first download directory
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-29 05:51 EDT by giulix
Modified: 2013-07-29 07:24 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 07:24:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description giulix 2012-07-29 05:51:30 EDT
Description of problem:
Unexpected download directory

Version-Release number of selected component (if applicable):
transmission-2.50-2.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Download torrent file
2. Download another torrent file
3.
  
Actual results:
The parent directory of the second download is the first download directory

Expected results:
The parent directory of the second download is the default directory, as for the first download

Additional info:
The first download goes into Download. If the first download is a directory with some content, say Download/Directory_for_torrent_1, the second download goes into Download/Directory_for_torrent_1, the third into Download/Directory_for_torrent_1/Directory_for_torrent_2 and so on
Comment 1 Scott Dowdle 2012-11-12 22:44:42 EST
I constantly into this bug in Fedora 16, 17, and now 18 pre-release.

I can manually select a new download directory by selecting: Destination folder: Other... and then clicking on the parent directory from the first-child-directory-found that it selected... and then selecting the text that represents the bogus child directory in the Location: field... and then clicking on the Open button in the file selector.  What a work around it is but it works.

If one uses the web interface there isn't a work around.
Comment 2 Scott Dowdle 2012-11-12 22:45:46 EST
Correction... "and then selecting" should be "and then selecting and deleting"
Comment 3 Rahul Sundaram 2013-01-19 21:32:26 EST
Would you mind filing this upstream and posting a link here?  Thanks
Comment 4 Rahul Sundaram 2013-04-25 17:57:16 EDT
This appears to be fixed in the latest release
Comment 5 Scott Dowdle 2013-04-25 18:08:24 EDT
Not that I've noticed.

If you have a sub-directory in your default download directory, future torrents you add will pick that directory by default... and graphically getting out of it is a pain.  You have to pick a new directory and them manually delete the directory name from the editable line.  Trying to just use the mouse and pick another directory doesn't work.

I'm writing this at work... and going from memory of my at home experience... but I haven't been checking it every update and it has yet to be fixed so far as I have noticed.  It would be nice if someone else could pipe up and "me too" my report to give it a little more credibility.

I'll try to check it tonight to verify.
Comment 6 Scott Dowdle 2013-04-25 23:33:01 EDT
I verified that this bug is indeed still in the current version:

transmission-2.77-1.fc18.x86_64
Comment 7 Scott Dowdle 2013-04-25 23:37:16 EDT
I verified that this bug is indeed still in the current version:

transmission-2.77-1.fc18.x86_64

Please open this bug back up.  If desired, I can make a short video showing exactly what the problem is.

When you asked, "would you might filing this upstream and posting the link here?", were you talking to me or giulix?
Comment 8 Rahul Sundaram 2013-04-25 23:43:16 EDT
Either of you. 

https://trac.transmissionbt.com/
Comment 9 Scott Dowdle 2013-04-26 00:11:41 EDT
I have submitted a ticket in the Transmission Trac system.  I'm awaiting to hear if it was approved or not which may take a day or two.  I'll be on the road for the next few days so... :)
Comment 10 Scott Dowdle 2013-05-01 15:26:00 EDT
Ok, they didn't accept my bug report because they said it was a duplicate of some comments to another bug report.  The specifics are: comments 15-17 of this bug:

https://trac.transmissionbt.com/ticket/5246

And according to those, they have fixed the bug in the upcoming 2.80 release.
Comment 11 Rahul Sundaram 2013-05-01 16:54:22 EDT
Excellent.  I am not sure I would push a 2.80 release to f17 but it depends on whether it is primarily bug fixes or new features.  I will leave this open for now.
Comment 12 Fedora End Of Life 2013-07-04 02:16:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Scott Dowdle 2013-07-26 09:30:46 EDT
This can be marked as CLOSED... fixed in newer release.

Note You need to log in before you can comment on or make changes to this bug.